export default {
    key: {
        APP_SHOW: 'APP_SHOW',
        LOGIN: 'LOGIN',
        ADDRESS: 'ADDRESS',
        ADDRESS_SET: 'ADDRESS_SET',
        AWARD_REFRESH: 'AWARD_REFRESH',
        LANUCH_COUPON: 'LANUCH_COUPON',
        STORE_CHOOSE: 'STORE_CHOOSE',
        WEAL_REFRESH: 'WEAL_REFRESH',
        STORE_REFRESH: 'STORE_REFRESH',
        SELL_REFRESH: 'SELL_REFRESH',
        NUM_REFRESH: 'NUM_REFRESH'
    },
    on(key, callback) {
        uni.$on(key, callback)
    },
    off(key, callback) {
        if (key) {
            !!callback ? uni.$off(key, callback) : uni.$off(key)
        } else {
            uni.$off()
        }
    },
    emit(key, data) {
        uni.$emit(key, data)
    }
}
